> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/api-request-result.md).

# API Request Result

All responses will contain the following common properties, but the contents and structure of each responses varies depending on the endpoint, you used.

Example:

```json
{
	"errorCode": -1,
	"errorText": null,
	"data": {}
}
```

| Field     | Type    | Comments                                                                                                             |
| --------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| data      | object  | Contains the result of the request execution. It may be null if no data is returned for this request                 |
| errorCode | integer | The error code generated during the execution of the request. If the request was successful, the value will be `-1`  |
| errorText | string  | The error message generated during the execution of the request. If request was successful, the value will be `null` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/api-request-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
